Description

hello

i am working on a project using an old version of qgis (v1.6), we want to update it to the last one 2.8

so we start installing system ( ubuntu 14.04 ) , qgis 2.8 and dependency

i have done a checkout from my svn where the project had been saved

when i try to build one of the module i have this error

in /usr/local/include/qgis/qgsmaptool.h:19:23 fatal error: qgsconfig.h: no such file or directory 

#include "qgsconfig.h"

if i try to find the file by using 

find / -name "qgsconfig.h" there is no result !!!

this file does not exist

do you know if in the qgis 2.8 there is some file that has been removed ?

and how can i compil my project correctly ?

thanks a lot

Regards

Florent

History

#1 - 2015-06-05 12:04 AM - Saber Razmjooei

- Status changed from Open to Closed

QGIS has moved to github

You need to follow INSTALL

#2 - 2015-06-05 01:14 AM - Jürgen Fischer

Sounds like an incomplete local install.

$ dpkg --contents pool/main/q/qgis/libqgis-dev_2.8.2+20trusty_amd64.deb | grep qgsconfig.h

-rw-r--r-- root/root      1627 2015-05-10 14:41 ./usr/include/qgis/qgsconfig.h

$ dpkg --contents pool/main/q/qgis/libqgis-dev_2.9.0+git20150604+385529e+20trusty_amd64.deb | grep qgsconfig.h

-rw-r--r-- root/root      1651 2015-06-04 03:36 ./usr/include/qgis/qgsconfig.h

If qgsconfig.h wouldn't be installed, it wouldn't end up in the packages either.
https://github.com/qgis/QGIS
https://github.com/qgis/QGIS/blob/master/INSTALL


#3 - 2015-06-05 12:06 PM - Giovanni Manghi

- Resolution set to invalid
